Subject: mp3blaster should convert UTF-8 into the local charset

From: Vincent Lefevre <[email-masked]>
Date: Sun, 18 Apr 2004 18:48:22 +0200

Package: mp3blaster
Version: 1:3.2.0-5
Severity: minor

mp3blaster doesn't currently do any charset conversion when displaying
the album, the artist or the title. It should convert non-ASCII
characters (in UTF-8) into the charset declared by the locales
(ISO-8859-1 in my case, as I have LC_CTYPE=en_US.ISO8859-1).

Note: ogg123 does it right.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (900, 'testing'), (200, 'unstable')
Architecture: powerpc (ppc)
Kernel: Linux 2.4.25-powerpc
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1

Versions of packages mp3blaster depends on:
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an
ii  libgcc1                     1:3.3.3-6    GCC support library
ii  libncurses5                 5.4-3        Shared libraries for terminal hand
ii  libsidplay1-c102            1.36.57-3    SID (MOS 6581) emulation library
ii  libstdc++5                  1:3.3.3-6    The GNU Standard C++ Library v3
ii  libvorbis0a                 1.0.1-1      The Vorbis General Audio Compressi
ii  libvorbisfile3              1.0.1-1      The Vorbis General Audio Compressi

-- no debconf information